/*
chmast.c Version 0.1.0 - Fischer Random Shuffle for Chess Master
Copyright (C) 2004  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <frshuf.h>
#include <ctype.h>

int main(void)
   {
   char *p,*q,*r;
   FRFMT *frshuf;
   char szBuffer[512];
   /* Create the game list.     */
   frshuf = (FRFMT *) shuffle();
   if (frshuf == NULL)
      {
      fprintf(stderr,"chmast: out of "
         "memory allocating frshuf\n");
      exit(1);
      } /* out of mem */
   /* Print out one Chess Master game position */
   p = (char *) frshuf->game;
   q = (char *) p + 8;
   r = (char *) szBuffer;
   while (p < q)
      {
      *r++ = 'B';
      *r++ = *p++;
      *r++ = ' ';
      *r++ = ' ';
      } /* for each black piece */
   *(r-2) = '\n';
   *(r-1) = '\0';
   strcat(szBuffer,"BP  BP  BP  BP  BP  BP  BP  BP\n");
   strcat(szBuffer,"--  --  --  --  --  --  --  --\n");
   strcat(szBuffer,"--  --  --  --  --  --  --  --\n");
   strcat(szBuffer,"--  --  --  --  --  --  --  --\n");
   strcat(szBuffer,"--  --  --  --  --  --  --  --\n");
   strcat(szBuffer,"WP  WP  WP  WP  WP  WP  WP  WP\n");
   p = (char *) frshuf->game;
   q = (char *) p + 8;
   r = (char *) szBuffer + strlen(szBuffer);
   while (p < q)
      {
      *r++ = 'W';
      *r++ = *p++;
      *r++ = ' ';
      *r++ = ' ';
      } /* for each white piece */
   *(r-2) = '\n';
   *(r-1) = '\0';
   printf("%s", szBuffer);
   free(frshuf);
   return(0);
   } /* main */
                         
